DescribeApplication
Retrieves Application details based on the ID
Request Syntax
GET /workspaces/workspaceName/applications/id HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- id
-
ID of the Application
Length Constraints: Fixed length of 36.
Pattern:
[a-z0-9-]{36}Required: Yes
- workspaceName
-
Name of the workspace to associate with the underlying Application
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"arn": "string",
"createdAt": number,
"description": "string",
"dnsSubdomain": "string",
"id": "string",
"idcApplicationArn": "string",
"name": "string",
"status": "string",
"updatedAt": number,
"workspaceName": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- arn
-
ARN of the application
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1600.
Pattern:
^arn:aws(-cn|-us-gov)?:[a-zA-Z0-9-:\/_\.]+$ - createdAt
-
Timestamp when the application was created
Type: Timestamp
- description
-
Description of the application
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
[a-zA-Z0-9_-]+ - dnsSubdomain
-
DNS subdomain for the application
Type: String
Length Constraints: Minimum length of 1. Maximum length of 63.
Pattern:
[a-z0-9]([a-z0-9-]*[a-z0-9])? - id
-
Unique identifier of the application
Type: String
Length Constraints: Fixed length of 36.
Pattern:
[a-z0-9-]{36} - idcApplicationArn
-
Identity Center Application ARN associated with this application
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1600.
Pattern:
^arn:aws(-cn|-us-gov)?:[a-zA-Z0-9-:\/_\.]+$ - name
-
Name of the application
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
[A-Za-z0-9](?:[A-Za-z0-9 ._()\-]*[A-Za-z0-9._()\-])? - status
-
Current status of the application
Type: String
Valid Values:
CREATING | ACTIVE | DELETING - updatedAt
-
Timestamp when the application was last updated
Type: Timestamp
- workspaceName
-
Name of the workspace this application belongs to
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
^[a-zA-Z0-9_-]+$
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
Access is denied.
HTTP Status Code: 403
- InternalFailureException
-
AWS IoT SiteWise can't process your request right now. Try again later.
HTTP Status Code: 500
- InvalidRequestException
-
The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.
HTTP Status Code: 400
- ResourceNotFoundException
-
The requested resource can't be found.
HTTP Status Code: 404
- ThrottlingException
-
Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.
For more information, see Quotas in the AWS IoT SiteWise User Guide.
HTTP Status Code: 429
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: